> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/customer-product-numbers.md).

# Customer Product Numbers

Customer Product Numbers addon

## Save a Customer Product Number

> This route is used to create a new Customer Product Number

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bCustomerProductNumbers","description":"Customer Product Numbers addon"}],"paths":{"/b2b/customer-product-number":{"post":{"tags":["StoreApi-B2bCustomerProductNumbers"],"summary":"Save a Customer Product Number","description":"This route is used to create a new Customer Product Number","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2bsellersCustomerProductNumber"}}}},"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## Delete a Customer Product Number

> This route is used to delete a existing Customer Product Number

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bCustomerProductNumbers","description":"Customer Product Numbers addon"}],"paths":{"/b2b/customer-product-number/{id}":{"delete":{"tags":["StoreApi-B2bCustomerProductNumbers"],"summary":"Delete a Customer Product Number","description":"This route is used to delete a existing Customer Product Number","parameters":[{"in":"path","name":"id","description":"ID of Customer Product Number","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns a success response indicating a successful update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}}}}}},"components":{"schemas":{}}}
```

## List Customer Product Number

> Lists all Customer Product Number and allows filtering them based on a criteria.

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bCustomerProductNumbers","description":"Customer Product Numbers addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}},"schemas":{},"responses":{"CustomerProductNumberListResponse":{"openapi":"3.0.0","info":[],"paths":[],"components":{"responses":{"CustomerProductNumberListResponse":{"description":"Returns the list of customer product numbers","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntitySearchResult"}}}}}}}}},"paths":{"/b2b/customer-product-numbers":{"post":{"tags":["StoreApi-B2bCustomerProductNumbers"],"summary":"List Customer Product Number","description":"Lists all Customer Product Number and allows filtering them based on a criteria.","operationId":"CustomerProductNumber","parameters":[],"requestBody":{"required":false,"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/Criteria"}]}}}},"responses":{"200":{"$ref":"#/components/responses/CustomerProductNumberListResponse"}}}}}}
```

## POST /b2b/customer-product-number-import

> Import CSV of Customer product Numbers

```json
{"openapi":"3.0.0","info":{"title":"B2Bsellers Suite API","version":"1.0.0"},"tags":[{"name":"StoreApi-B2bCustomerProductNumbers","description":"Customer Product Numbers addon"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"sw-context-token"}}},"paths":{"/b2b/customer-product-number-import":{"post":{"tags":["StoreApi-B2bCustomerProductNumbers"],"summary":"Import CSV of Customer product Numbers","operationId":"CustomerProductNumber","parameters":[],"requestBody":{"description":"CSV content","content":[]},"responses":{"200":{"content":[],"description":"result"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2b-sellers.com/b2b-platform/api-reference/store-api/customer-product-numbers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
